devplugin

## Class ProgramFieldType

- java.lang.Object
- - devplugin.ProgramFieldType

-     public class ProgramFieldType
      extends java.lang.Object

  Contains all the field types of a program.
  Author:
    Til Schneider, www.murfman.de
  See Also:
    `Program.getBinaryField(ProgramFieldType)`, `Program.getTextField(ProgramFieldType)`, `Program.getIntField(ProgramFieldType)`, `Program.getTimeField(ProgramFieldType)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProgramFieldType` | `ACTOR_LIST_TYPE` Actor-List.
    `static ProgramFieldType` | `ADDITIONAL_INFORMATION_TYPE` Background information that does not belong into the description of the program.
    `static ProgramFieldType` | `ADDITIONAL_PERSONS_TYPE` Additional persons (Stunt men etc.)
    `static ProgramFieldType` | `AGE_LIMIT_TYPE`
    `static ProgramFieldType` | `AGE_RATING_TYPE` Age rating.
    `static int` | `BINARY_FORMAT` program field format for binary fields (like pictures)
    `static ProgramFieldType` | `CAMERA_TYPE` Camera
    `static ProgramFieldType` | `CUSTOM_TYPE`
    `static ProgramFieldType` | `CUTTER_TYPE` Cutter
    `static ProgramFieldType` | `DESCRIPTION_TYPE`
    `static ProgramFieldType` | `DIRECTOR_TYPE`
    `static ProgramFieldType` | `END_TIME_TYPE`
    `static ProgramFieldType` | `EPISODE_NUMBER_TYPE` number of this episode
    `static ProgramFieldType` | `EPISODE_TOTAL_NUMBER_TYPE` total number of episodes
    `static ProgramFieldType` | `EPISODE_TYPE` episode title
    `static ProgramFieldType` | `GENRE_TYPE`
    `static ProgramFieldType` | `INFO_TYPE`
    `static int` | `INT_FORMAT` program field format for numbers
    `static ProgramFieldType` | `LAST_PRODUCTION_YEAR_TYPE` Last production year if a program was produced over several years.
    `static ProgramFieldType` | `MODERATION_TYPE`
    `static ProgramFieldType` | `MUSIC_TYPE`
    `static ProgramFieldType` | `NET_PLAYING_TIME_TYPE` net playing time in minutes (may be shorter than end time-start time due to commercials in between)
    `static ProgramFieldType` | `ORIGIN_TYPE`
    `static ProgramFieldType` | `ORIGINAL_EPISODE_TYPE` original language episode title
    `static ProgramFieldType` | `ORIGINAL_TITLE_TYPE` original language title
    `static ProgramFieldType` | `PART_NUMBER_TOTAL_TYPE`
    `static ProgramFieldType` | `PART_NUMBER_TYPE`
    `static ProgramFieldType` | `PICTURE_COPYRIGHT_TYPE`
    `static ProgramFieldType` | `PICTURE_DESCRIPTION_TYPE`
    `static ProgramFieldType` | `PICTURE_TYPE`
    `static ProgramFieldType` | `PRODUCER_TYPE` Producer, this is not the producing company
    `static ProgramFieldType` | `PRODUCTION_COMPANY_TYPE` Production Company, this is not the producer name
    `static ProgramFieldType` | `PRODUCTION_YEAR_TYPE`
    `static ProgramFieldType` | `RATING_TYPE` Rating for program.
    `static ProgramFieldType` | `REPETITION_OF_TYPE` program is a repetition of this past date/time
    `static ProgramFieldType` | `REPETITION_ON_TYPE` program will be repeated at this future date/time
    `static ProgramFieldType` | `SCRIPT_TYPE`
    `static ProgramFieldType` | `SEASON_NUMBER_TYPE` number of season
    `static ProgramFieldType` | `SERIES_TYPE` Title of the series (German: Reihe), if the program belongs to one
    `static ProgramFieldType` | `SHORT_DESCRIPTION_TYPE`
    `static ProgramFieldType` | `START_TIME_TYPE`
    `static int` | `TEXT_FORMAT` program field format for strings
    `static int` | `TIME_FORMAT` program field format for times (in numbers after midnight)
    `static ProgramFieldType` | `TITLE_TYPE` title
    `static int` | `UNKNOWN_FORMAT` unknown field format, should not occur
    `static int` | `UNKOWN_FORMAT` Deprecated. since 3.0, use `UNKNOWN_FORMAT` instead
    `static ProgramFieldType` | `URL_TYPE`
    `static ProgramFieldType` | `VPS_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFormat()`
    `static java.lang.String` | `getFormatName(int format)`
    `static int` | `getIntFieldCount()` for use by MutableProgram implementation only
    `java.lang.String` | `getLocalizedName()`
    `java.lang.String` | `getName()`
    `static int` | `getObjectFieldCount()` for use by MutableProgram implementation only
    `int` | `getStorageIndex()` get the index of this field type in the MutablePrograms field storage
    `static ProgramFieldType` | `getTypeForId(int typeId)`
    `int` | `getTypeId()`
    `static java.util.Iterator<ProgramFieldType>` | `getTypeIterator()`
    `boolean` | `isRightFormat(int format)`
    `static void` | `resetLocalizer()`
    `static boolean` | `setLocalizedCustomFieldName(java.lang.String name)` Sets the name of the custom field type
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN_FORMAT

          public static final int UNKNOWN_FORMAT

      unknown field format, should not occur
      See Also:
        Constant Field Values

    - #### UNKOWN_FORMAT

          @Deprecated
          public static final int UNKOWN_FORMAT

      Deprecated. since 3.0, use `UNKNOWN_FORMAT` instead
      See Also:
        Constant Field Values

    - #### BINARY_FORMAT

          public static final int BINARY_FORMAT

      program field format for binary fields (like pictures)
      See Also:
        Constant Field Values

    - #### TEXT_FORMAT

          public static final int TEXT_FORMAT

      program field format for strings
      See Also:
        Constant Field Values

    - #### INT_FORMAT

          public static final int INT_FORMAT

      program field format for numbers
      See Also:
        Constant Field Values

    - #### TIME_FORMAT

          public static final int TIME_FORMAT

      program field format for times (in numbers after midnight)
      See Also:
        Constant Field Values

    - #### START_TIME_TYPE

          public static final ProgramFieldType START_TIME_TYPE

    - #### END_TIME_TYPE

          public static final ProgramFieldType END_TIME_TYPE

    - #### TITLE_TYPE

          public static final ProgramFieldType TITLE_TYPE

      title

    - #### ORIGINAL_TITLE_TYPE

          public static final ProgramFieldType ORIGINAL_TITLE_TYPE

      original language title

    - #### EPISODE_TYPE

          public static final ProgramFieldType EPISODE_TYPE

      episode title

    - #### ORIGINAL_EPISODE_TYPE

          public static final ProgramFieldType ORIGINAL_EPISODE_TYPE

      original language episode title

    - #### SHORT_DESCRIPTION_TYPE

          public static final ProgramFieldType SHORT_DESCRIPTION_TYPE

    - #### DESCRIPTION_TYPE

          public static final ProgramFieldType DESCRIPTION_TYPE

    - #### ACTOR_LIST_TYPE

          public static final ProgramFieldType ACTOR_LIST_TYPE

      Actor-List. Should be in this Format: ActorName\t\t-\t\tRole,\n ActorName2\t\t-\t\tRole2\n

    - #### DIRECTOR_TYPE

          public static final ProgramFieldType DIRECTOR_TYPE

    - #### CUSTOM_TYPE

          public static final ProgramFieldType CUSTOM_TYPE

    - #### INFO_TYPE

          public static final ProgramFieldType INFO_TYPE

    - #### AGE_LIMIT_TYPE

          public static final ProgramFieldType AGE_LIMIT_TYPE

    - #### URL_TYPE

          public static final ProgramFieldType URL_TYPE

    - #### GENRE_TYPE

          public static final ProgramFieldType GENRE_TYPE

    - #### ORIGIN_TYPE

          public static final ProgramFieldType ORIGIN_TYPE

    - #### NET_PLAYING_TIME_TYPE

          public static final ProgramFieldType NET_PLAYING_TIME_TYPE

      net playing time in minutes (may be shorter than end time-start time due to commercials in between)

    - #### VPS_TYPE

          public static final ProgramFieldType VPS_TYPE

    - #### SCRIPT_TYPE

          public static final ProgramFieldType SCRIPT_TYPE

    - #### REPETITION_OF_TYPE

          public static final ProgramFieldType REPETITION_OF_TYPE

      program is a repetition of this past date/time

    - #### MUSIC_TYPE

          public static final ProgramFieldType MUSIC_TYPE

    - #### MODERATION_TYPE

          public static final ProgramFieldType MODERATION_TYPE

    - #### PRODUCTION_YEAR_TYPE

          public static final ProgramFieldType PRODUCTION_YEAR_TYPE

    - #### REPETITION_ON_TYPE

          public static final ProgramFieldType REPETITION_ON_TYPE

      program will be repeated at this future date/time

    - #### PICTURE_TYPE

          public static final ProgramFieldType PICTURE_TYPE

    - #### PICTURE_COPYRIGHT_TYPE

          public static final ProgramFieldType PICTURE_COPYRIGHT_TYPE

    - #### PICTURE_DESCRIPTION_TYPE

          public static final ProgramFieldType PICTURE_DESCRIPTION_TYPE

    - #### EPISODE_NUMBER_TYPE

          public static final ProgramFieldType EPISODE_NUMBER_TYPE

      number of this episode
      Since:
        2.6/2.2.4

    - #### EPISODE_TOTAL_NUMBER_TYPE

          public static final ProgramFieldType EPISODE_TOTAL_NUMBER_TYPE

      total number of episodes
      Since:
        2.6/2.2.4

    - #### SEASON_NUMBER_TYPE

          public static final ProgramFieldType SEASON_NUMBER_TYPE

      number of season
      Since:
        2.6/2.2.4

    - #### PRODUCER_TYPE

          public static final ProgramFieldType PRODUCER_TYPE

      Producer, this is not the producing company
      Since:
        2.6/2.2.4
      See Also:
        `PRODUCTION_COMPANY_TYPE`

    - #### CAMERA_TYPE

          public static final ProgramFieldType CAMERA_TYPE

      Camera
      Since:
        2.6/2.2.4

    - #### CUTTER_TYPE

          public static final ProgramFieldType CUTTER_TYPE

      Cutter
      Since:
        2.6/2.2.4

    - #### ADDITIONAL_PERSONS_TYPE

          public static final ProgramFieldType ADDITIONAL_PERSONS_TYPE

      Additional persons (Stunt men etc.) Should be in this format: Person\t(Role),\n Person2\t(Role)
      Since:
        2.6/2.2.4

    - #### RATING_TYPE

          public static final ProgramFieldType RATING_TYPE

      Rating for program. Must be between 0-100
      Since:
        2.7

    - #### PRODUCTION_COMPANY_TYPE

          public static final ProgramFieldType PRODUCTION_COMPANY_TYPE

      Production Company, this is not the producer name
      Since:
        2.7
      See Also:
        `PRODUCER_TYPE`

    - #### AGE_RATING_TYPE

          public static final ProgramFieldType AGE_RATING_TYPE

      Age rating. This is the text version, whereas "age limit" should contain the age in years.
      Since:
        3.0
      See Also:
        `AGE_LIMIT_TYPE`

    - #### LAST_PRODUCTION_YEAR_TYPE

          public static final ProgramFieldType LAST_PRODUCTION_YEAR_TYPE

      Last production year if a program was produced over several years. First production year has then to be added to PRODUCTION_YEAR_TYPE.
      Since:
        3.0
      See Also:
        `PRODUCTION_YEAR_TYPE`

    - #### ADDITIONAL_INFORMATION_TYPE

          public static final ProgramFieldType ADDITIONAL_INFORMATION_TYPE

      Background information that does not belong into the description of the program. E.g. star portraits, awards, reception.
      Since:
        3.0

    - #### SERIES_TYPE

          public static final ProgramFieldType SERIES_TYPE

      Title of the series (German: Reihe), if the program belongs to one
      Since:
        3.2

    - #### PART_NUMBER_TYPE

          public static final ProgramFieldType PART_NUMBER_TYPE

    - #### PART_NUMBER_TOTAL_TYPE

          public static final ProgramFieldType PART_NUMBER_TOTAL_TYPE

  - ### Method Detail

    - #### getTypeForId

          public static ProgramFieldType getTypeForId(int typeId)

    - #### getFormatName

          public static java.lang.String getFormatName(int format)

    - #### getTypeIterator

          public static java.util.Iterator<ProgramFieldType> getTypeIterator()

    - #### getTypeId

          public int getTypeId()

    - #### getName

          public java.lang.String getName()

    - #### getLocalizedName

          public java.lang.String getLocalizedName()

    - #### getFormat

          public int getFormat()

    - #### isRightFormat

          public boolean isRightFormat(int format)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStorageIndex

          public int getStorageIndex()

      get the index of this field type in the MutablePrograms field storage
      Returns:
        index

    - #### getIntFieldCount

          public static int getIntFieldCount()

      for use by MutableProgram implementation only
      Returns:
        field count for int fields

    - #### getObjectFieldCount

          public static int getObjectFieldCount()

      for use by MutableProgram implementation only
      Returns:
        field count for Object fields

    - #### resetLocalizer

          public static void resetLocalizer()

    - #### setLocalizedCustomFieldName

          public static boolean setLocalizedCustomFieldName(java.lang.String name)

      Sets the name of the custom field type
      Parameters:
        `name` - The name of the free field type
      Returns:
        If the name could be set (the name can only be set once).
      Since:
        3.3.3

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)